wxWidgets: wxWithImages Class Reference

| Version: 3.1.5

Loading...
Searching...
No Matches
Public Types | Public Member Functions | Protected Member Functions | List of all members
wxWithImages Class Reference

`#include </cygdrive/c/Users/Hamis/Cygwin-packaging/wxWidgets3.1/wxWidgets3.1-3.1.5-4.x86_64/src/wxWidgets-3.1.5/interface/wx/withimages.h>`

Inheritance diagram for wxWithImages:
[legend]

## Detailed Description

A mixin class to be used with other classes that use a wxImageList.

## Public Types
enum | { NO_IMAGE = -1 }

## Public Member Functions
| wxWithImages ()
virtual | ~wxWithImages ()
void | AssignImageList (wxImageList *imageList)
| Sets the image list for the page control and takes ownership of the list.
virtual void | SetImageList (wxImageList *imageList)
| Sets the image list to use.
wxImageList * | GetImageList () const
| Returns the associated image list, may be NULL.

## Protected Member Functions
bool | HasImageList () const
| Return true if we have a valid image list.
wxIcon | GetImage (int iconIndex) const
| Return the image with the given index from the image list.

## Member Enumeration Documentation

## ◆ anonymous enum

anonymous enum

Enumerator
NO_IMAGE |

## Constructor & Destructor Documentation

## ◆ wxWithImages()

wxWithImages::wxWithImages | ( |  | ) |

## ◆ ~wxWithImages()

virtual wxWithImages::~wxWithImages | ( |  | ) |
| virtual

## Member Function Documentation

## ◆ AssignImageList()

void wxWithImages::AssignImageList | ( | wxImageList * | imageList | ) |

Sets the image list for the page control and takes ownership of the list.

See also
  wxImageList, SetImageList()

## ◆ GetImage()

wxIcon wxWithImages::GetImage | ( | int | iconIndex | ) | const
| protected

Return the image with the given index from the image list.

If there is no image list or if index == NO_IMAGE, silently returns wxNullIcon.

## ◆ GetImageList()

wxImageList * wxWithImages::GetImageList | ( |  | ) | const

Returns the associated image list, may be NULL.

See also
  wxImageList, SetImageList()

## ◆ HasImageList()

bool wxWithImages::HasImageList | ( |  | ) | const
| protected

Return true if we have a valid image list.

## ◆ SetImageList()

virtual void wxWithImages::SetImageList | ( | wxImageList * | imageList | ) |
| virtual

Sets the image list to use.

It does not take ownership of the image list, you must delete it yourself.

See also
  wxImageList, AssignImageList()